<?
session_start();
  include("../../clases/BDConexion.php");
  include("../../clases/clsPer.php");
  include("../Funciones.php");
  include("../funcion/funciones.php");
  
  $objPer=new clsPer; 
  if($ver=='1'){
  //$control_v = array();  
  $cargac2 = array();
  } 
  	
	if($ver=='1'){	
	  $cargac2=$cargac1;
		while(list($clavex,$valor2)=each($cargac2)){
		$des_w=$valor2[0];
		$compania=$valor2[1];
		$guia_w=$valor2[2];											
		$ccosto_w=$valor2[3];																				
		$ttc=$valor2[4];
		$tipounidad=$valor2[5];											
		$cant_w=$valor2[6];
		$peso_w=$valor2[7];
		$origen_w=$valor2[8];
		$destino_w=$valor2[9];
		$distanciac=$valor2[10];
		$codigo_w=$valor2[11];
		$numorigen_w=$valor2[12];
		$numdestino_w=$valor2[13];
		$id_w=$valor2[14];
		
		if($clave1==$clavex){
			if($campo=='des_w'){ $des_w=$valor; $cargac1[$clave1]=array("$des_w",$compania,$guia_w,$ccosto_w,$ttc,$tipounidad,$cant_w,$peso_w,$origen_w,$destino_w,$distanciac,$codigo_w,$numorigen_w,$numdestino_w,$id_w);}
			elseif($campo=='compania'){ $compania=$valor; $cargac1[$clave1]=array("$des_w",$compania,$guia_w,$ccosto_w,$ttc,$tipounidad,$cant_w,$peso_w,$origen_w,$destino_w,$distanciac,$codigo_w,$numorigen_w,$numdestino_w,$id_w);}			
			elseif($campo=='guia_w'){ $guia_w=$valor; $cargac1[$clave1]=array("$des_w",$compania,$guia_w,$ccosto_w,$ttc,$tipounidad,$cant_w,$peso_w,$origen_w,$destino_w,$distanciac,$codigo_w,$numorigen_w,$numdestino_w,$id_w);}
			elseif($campo=='ccosto_w'){ $ccosto_w=$valor; $cargac1[$clave1]=array("$des_w",$compania,$guia_w,$ccosto_w,$ttc,$tipounidad,$cant_w,$peso_w,$origen_w,$destino_w,$distanciac,$codigo_w,$numorigen_w,$numdestino_w,$id_w);}
			elseif($campo=='ttc'){ $ttc=$valor; $cargac1[$clave1]=array("$des_w",$compania,$guia_w,$ccosto_w,$ttc,$tipounidad,$cant_w,$peso_w,$origen_w,$destino_w,$distanciac,$codigo_w,$numorigen_w,$numdestino_w,$id_w);}
			elseif($campo=='tipounidad'){ $tipounidad=$valor; $cargac1[$clave1]=array("$des_w",$compania,$guia_w,$ccosto_w,$ttc,$tipounidad,$cant_w,$peso_w,$origen_w,$destino_w,$distanciac,$codigo_w,$numorigen_w,$numdestino_w,$id_w);}
			elseif($campo=='cant_w'){ $cant_w=$valor; $cargac1[$clave1]=array("$des_w",$compania,$guia_w,$ccosto_w,$ttc,$tipounidad,$cant_w,$peso_w,$origen_w,$destino_w,$distanciac,$codigo_w,$numorigen_w,$numdestino_w,$id_w);}
			elseif($campo=='peso_w'){ $peso_w=$valor; 
			$objPer->UpdateManRutaCarga($id_w,$peso_w);
			$cargac1[$clave1]=array("$des_w",$compania,$guia_w,$ccosto_w,$ttc,$tipounidad,$cant_w,$peso_w,$origen_w,$destino_w,$distanciac,$codigo_w,$numorigen_w,$numdestino_w,$id_w);}
			elseif($campo=='origen_w'){
				$numorigen_w1=$valor; 
				
				$rsod=$objPer->getNombreOD($numorigen_w1,$numdestino_w,$param);
				$rowod=$objPer->NextRow($rsod);
				$origen_w1=$rowod['de'];				
				$destino_w1=$rowod['para'];
				
				$rs=$objPer->getLugarDistanciaParam($origen_w1,$destino_w1);
				$row=$objPer->NextRow($rs);
				$distanciac=$row['distancia'];
				$cargac1[$clave1]=array("$des_w",$compania,$guia_w,$ccosto_w,$ttc,$tipounidad,$cant_w,$peso_w,$origen_w1,$destino_w1,$distanciac,$codigo_w,$numorigen_w1,$numdestino_w,$id_w);
				
			}elseif($campo=='destino_w'){
				$numdestino_w1=$valor;
				
				$rsod=$objPer->getNombreOD($numorigen_w,$numdestino_w1,$param);
				$rowod=$objPer->NextRow($rsod);
				$origen_w1=$rowod['de'];				
				$destino_w1=$rowod['para']; 
				
				$rs=$objPer->getLugarDistanciaParam($origen_w1,$destino_w1);
				$row=$objPer->NextRow($rs);
				$distanciac=$row['distancia']; 
				$cargac1[$clave1]=array("$des_w",$compania,$guia_w,$ccosto_w,$ttc,$tipounidad,$cant_w,$peso_w,$origen_w1,$destino_w1,$distanciac,$codigo_w,$numorigen_w,$numdestino_w1,$id_w);
				
			}	
		}else{				
		$cargac1[$clavex]=array("$des_w",$compania,$guia_w,$ccosto_w,$ttc,$tipounidad,$cant_w,$peso_w,$origen_w,$destino_w,$distanciac,$codigo_w,$numorigen_w,$numdestino_w,$id_w);
		}
		}
		
	}
	
	
	$v=1;
	$cerrar=0;
	$r=$ver;
	$via=$via;
	$cod_ruta=$param;
	$valor;
	$clave1;
	$campo;	
//include("../p_manifiesto_peso1.php");
  
?>